Package com.sas.lsaf.workflow.task

## Class CompletedUserTask

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.workflow.element.CompletedElement
    - - com.sas.lsaf.workflow.task.CompletedTask
      - - com.sas.lsaf.workflow.task.CompletedUserTask

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`
  Direct Known Subclasses:
    `CompletedUserTaskDetails`

      public class CompletedUserTask
      extends CompletedTask

  The class that represents a completed user task in a process flow.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.workflow.element.CompletedElement

      `CompletedElement.TaskCompletedState`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompletedUserTask​(java.lang.String typeId, java.lang.String id, java.lang.String elementId, java.lang.String processFlowId, java.lang.String name, java.lang.String description, Element.ElementType type, java.util.Date created, java.util.List<Attribute> attributes, java.lang.String completedBy, java.util.Date completed, CompletedElement.TaskCompletedState completedState, Task.Complexity complexity, Task.Priority priority, java.util.Date dueDate, java.lang.String completionComment, float totalActualHours)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCompletionComment()` | Gets the completion comment for the user task.
    `Task.Complexity` | `getComplexity()` | Gets the complexity of the user task.
    `java.util.Date` | `getDueDate()` | Gets the due date of the user task.
    `Task.Priority` | `getPriority()` | Gets the priority of the user task.
    `float` | `getTotalActualHours()` | Gets the total actual hours for the user task.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.workflow.task.CompletedTask

      `getAttributes`

    - ### Methods inherited from class com.sas.lsaf.workflow.element.CompletedElement

      `getCompleted, getCompletedBy, getCompletedState, getCreated, getDescription, getElementId, getName, getProcessFlowId, getType`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `equals, getId, getTypeId, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompletedUserTask

          public CompletedUserTask​(java.lang.String typeId,
                                   java.lang.String id,
                                   java.lang.String elementId,
                                   java.lang.String processFlowId,
                                   java.lang.String name,
                                   java.lang.String description,
                                   Element.ElementType type,
                                   java.util.Date created,
                                   java.util.List<Attribute> attributes,
                                   java.lang.String completedBy,
                                   java.util.Date completed,
                                   CompletedElement.TaskCompletedState completedState,
                                   Task.Complexity complexity,
                                   Task.Priority priority,
                                   java.util.Date dueDate,
                                   java.lang.String completionComment,
                                   float totalActualHours)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the completed tasks returned by the API.
      Parameters:
        `typeId` - The object type identifier of the task.
        `id` - The unique identifier of the task.
        `elementId` - The identifier of the task as it appears in the process flow definition.
        `processFlowId` - The identifier of the process flow that contains the element.
        `name` - The name of the task.
        `description` - The description of the task.
        `type` - The type of the task.
        `created` - The date on which the task was created.
        `attributes` - The extended attributes of the task.
        `completedBy` - The user who completed the task.
        `completed` - The date on which the task was completed.
        `completedState` - The completed state of the element
        `complexity` - The complexity of the user task.
        `priority` - The priority of the user task.
        `dueDate` - The due date of the user task.
        `completionComment` - The comment that was specified at the completion of the user task.
        `totalActualHours` - The total actual hours for the user task.

  - ### Method Detail

    - #### getTotalActualHours

          public float getTotalActualHours()

      Gets the total actual hours for the user task.
      Returns:
        The total actual hours.

    - #### getCompletionComment

          public java.lang.String getCompletionComment()

      Gets the completion comment for the user task.
      Returns:
        The completion comment for the user task.

    - #### getDueDate

          public java.util.Date getDueDate()

      Gets the due date of the user task.
      Returns:
        The due date.

    - #### getComplexity

          public Task.Complexity getComplexity()

      Gets the complexity of the user task.
      Returns:
        The complexity.

    - #### getPriority

          public Task.Priority getPriority()

      Gets the priority of the user task.
      Returns:
        The priority.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `CompletedElement`